libzypp 17.38.5

rpmmd.h File Reference
`#include <zypp/RepoInfo.h>`
`#include <zypp/ng/repo/Downloader>`
`#include <zypp-core/ng/async/task.h>`
`#include <zypp-core/ng/pipelines/Expected>`
`#include <zypp/ManagedFile.h>`

Go to the source code of this file.

## Namespaces
namespace | zyppng
namespace | zyppng::RpmmdWorkflows
| Downloader workspace for YUM (rpm-nmd) repositories Encapsulates all the knowledge of which files have to be downloaded to the local disk.

## Functions
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (ProgressObserver)
MaybeAwaitable< expected< zypp::RepoStatus > > | zyppng::RpmmdWorkflows::repoStatus (repo::DownloadContextRef dl, ProvideMediaHandle mediaHandle)
MaybeAwaitable< expected< repo::DownloadContextRef > > | zyppng::RpmmdWorkflows::download (repo::DownloadContextRef dl, ProvideMediaHandle mediaHandle, ProgressObserverRef progressObserver)